XMLUtil (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.shared.utils
Class XMLUtil

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.shared.utils.XMLUtil

    public class XMLUtil

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`XMLUtil()`

Method Summary
`static List<com.google.gwt.xml.client.Element>` | `getElementChildren(com.google.gwt.xml.client.Element parent)`
`static List<com.google.gwt.xml.client.Element>` | `getElementChildren(com.google.gwt.xml.client.Element parent, String tagName)`
`static String` | `getEntireContent(com.google.gwt.xml.client.Node parent)`
`static com.google.gwt.xml.client.Element` | `getFirstElementChild(com.google.gwt.xml.client.Element parent)`
`static com.google.gwt.xml.client.Element` | `getFirstElementChild(com.google.gwt.xml.client.Element parent, String tagName)`
`static String` | `getTextContent(com.google.gwt.xml.client.Element parent)`
`static org.gcube.resourcemanagement.support.shared.types.datamodel.AtomicTreeNode` | `XMLToTree(String xml, String rootName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtil

    public XMLUtil()

Method Detail

### XMLToTree

    public static org.gcube.resourcemanagement.support.shared.types.datamodel.AtomicTreeNode XMLToTree(String xml,
                                                                                                       String rootName)
                                                                                                throws Exception

  Throws:
    `Exception`

### getFirstElementChild

    public static com.google.gwt.xml.client.Element getFirstElementChild(com.google.gwt.xml.client.Element parent)

### getFirstElementChild

    public static com.google.gwt.xml.client.Element getFirstElementChild(com.google.gwt.xml.client.Element parent,
                                                                         String tagName)

### getElementChildren

    public static List<com.google.gwt.xml.client.Element> getElementChildren(com.google.gwt.xml.client.Element parent)

### getElementChildren

    public static List<com.google.gwt.xml.client.Element> getElementChildren(com.google.gwt.xml.client.Element parent,
                                                                             String tagName)

### getTextContent

    public static String getTextContent(com.google.gwt.xml.client.Element parent)

### getEntireContent

    public static String getEntireContent(com.google.gwt.xml.client.Node parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.